"use strict";
/**
 * 	REDUX OBJECT:
 * 	It contains some method all redux objects will have (get and set Store, for example).
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 	It contains some methods all Redux Objects will require.
 */
var ReduxObject = /** @class */ (function () {
    function ReduxObject() {
    }
    /**
     *  Dispatches the content to the store.
     */
    ReduxObject.prototype.dispatch = function (action) {
        this.getStore().dispatch(action);
        return true;
    };
    /**
     * 	Sets the store the reducer will use.
     * 	@param 		{Object} 	store	Store to be used.
     */
    ReduxObject.prototype.setStore = function (store) {
        this._store = store;
        return true;
    };
    /**
     * 	Get the store the reducer uses.
     */
    ReduxObject.prototype.getStore = function () {
        if (typeof this._store === 'undefined') {
            throw new Error('Store not set in redux object.');
        }
        return this._store;
    };
    /**
     * 	Created the reducer.
     *  Throws an error if it's not overrided.
     */
    ReduxObject.prototype.createReducers = function (names) {
        this.getStore();
        var namesJoined = names.join(',');
        throw new Error("Reducers creator has not been established, cannot assign names " + namesJoined + ".");
    };
    return ReduxObject;
}());
exports.default = ReduxObject;
