/**
 * 	REDUX DICTIONARIES:
 * 	Its an interface to access different dictionaries in Redux.
 *  You can interact with a dictionary just by its name.
 */
import ReduxObject from './ReduxObject';
declare type DictionaryContent = Record<string, any>;
/**
 * 	Its an interface to access different dictionaries in Redux.
 *  You can interact with a dictionary just by its name.
 */
declare class ReduxDictionaries extends ReduxObject {
    /**
     * 	Creates the differents reducers to use in redux.
     *  Results: {name:reducer, name:reducer, name:reducer}.
     */
    createReducers(dictionaryNames: string[]): any;
    /**
     * 	Set the different contents to the specified dictionary.
     *  it works like Object.assign.
     */
    set(dictionaryName: string, contents: DictionaryContent): boolean;
    /**
     * 	Set the different contents to the specified dictionary by merging.
     *  it works like lodash.merge.
     */
    merge(dictionaryName: string, contents: DictionaryContent): boolean;
    /**
     * 	Get the dictionary state by its name.
     */
    get(dictionaryName: string): object;
    /**
     * 	Removes the elements from the dictionary with the specified keys.
     */
    remove(dictionaryName: string, keys: (string | number)[]): boolean;
    /**
     *  Replace the dictionary content.
     */
    replace(dictionaryName: string, content: DictionaryContent): boolean;
}
declare const _default: ReduxDictionaries;
export default _default;
