/**
 * 	REDUX DICTIONARY ACTION CREATOR:
 * 	This script creates the different actions the dictionary reducer will need.
 */
interface Action {
    type: string;
    payload: any;
}
declare type DictionaryContent = Record<string, any>;
declare const _default: {
    /**
     * 	Set the dictionary content.
     */
    set: (dictionaryName: string, content: DictionaryContent) => Action;
    /**
     * 	Set the dictionary content by merging (like in lodash.merge).
     */
    merge: (dictionaryName: string, content: DictionaryContent) => Action;
    /**
     * 	Delete the dictionary content with the specified keys.
     */
    delete: (dictionaryName: string, keys: (number | string)[]) => Action;
    /**
     * 	Replaces the dictionary content.
     * 	Deletes all the actual content and set the new.
     */
    replace: (dictionaryName: string, newContent: DictionaryContent) => Action;
};
export default _default;
