"use strict";
/**
 * 	REDUX DICTIONARY ACTION CREATOR:
 * 	This script creates the different actions the dictionary reducer will need.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    /**
     * 	Set the dictionary content.
     */
    set: function (dictionaryName, content) {
        return {
            type: "DICT_SET_" + dictionaryName,
            payload: content,
        };
    },
    /**
     * 	Set the dictionary content by merging (like in lodash.merge).
     */
    merge: function (dictionaryName, content) {
        return {
            type: "DICT_MERGE_" + dictionaryName,
            payload: content,
        };
    },
    /**
     * 	Delete the dictionary content with the specified keys.
     */
    delete: function (dictionaryName, keys) {
        return {
            type: "DICT_DELETE_" + dictionaryName,
            payload: keys,
        };
    },
    /**
     * 	Replaces the dictionary content.
     * 	Deletes all the actual content and set the new.
     */
    replace: function (dictionaryName, newContent) {
        return {
            type: "DICT_REPLACE_" + dictionaryName,
            payload: newContent,
        };
    },
};
